package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = ""
)
@XmlRootElement(
   name = "SAPFUNCINSTANCEPARAMFLD"
)
public class SAPFUNCINSTANCEPARAMFLD {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "VALUE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String value;
   @XmlAttribute(
      name = "VALUETYPE",
      required = true
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String valuetype;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getVALUE() {
      return this.value;
   }

   public void setVALUE(String value) {
      this.value = value;
   }

   public String getVALUETYPE() {
      return this.valuetype;
   }

   public void setVALUETYPE(String value) {
      this.valuetype = value;
   }
}
